﻿@import url(isd.shared.css);

body, input, textarea, [disabled] { cursor: default }
button { cursor: pointer }

body {
  font-family: Calibri, Helvetica, sans-serif;
  margin: 0 !important; /* cancel pages.css body margin/padding when using 100% */
  padding: 0 !important;
}

a {
  color: #36c;
}

#pagegap {
  padding: 20px;
}

#title {
  margin-bottom: 15px; /* revert constants margin 0 setting */
}

/* splash page                                                    */

.page.splash #title, .hide-title #title {
  display: none;
}

.page.splash #pagegap {
  padding: 0;
}

  .page.splash .bgfix {
    -ms-interpolation-mode: bicubic !important;
  }

/* buttons                                                        */

button {
  background-color: #f1f1f1;
  border: 1px solid #bebebe;
  border-radius: 3px;
  color: #666;
  line-height: 1.5em;
  padding: 0 .5em;
}

button[disabled] {
  border-color: #dedede;
  color: #ccc;
}

button:hover:not([disabled]) {
  box-shadow: 1px 1px 2px rgba(0,0,0,0.1);
}


/* grouping                                                       */

[data-group].hidden    { visibility: hidden }
[data-group].hidden.on { visibility: visible }
[data-group].none      { display: none }
[data-group].none.on   { display: block } /* consider: none-block */

.dynamicBox.on { display: block }

/* icons                                                          */

.icon {
  background-color: transparent;
  border-color: transparent;
  vertical-align: middle;
}


/* question                                                      */

.choices {
  margin-left:  10px;
  padding-left: 10px; 
}

.choice {
  list-style-position: inside;
  list-style-type: upper-alpha;
}

.choice label, .choice input[type="checkbox"] {
  left:-9999px;
  position:absolute;
}

/* test for using checkbox
.choice input[type="checkbox"] {
  position:relative;
  left:-50px;
  margin-right:-15px
}
*/

.question {
  border:none;
}

.question .choice {
  border:1px transparent solid;
}

.question-content {
  border-bottom: 1px #ccc solid;
  /*font-weight: bold;*/
  margin-bottom: 10px;
  padding-bottom: 10px;
}

.question .choice-focus, .question .choice[data-complete=false]:hover {
  background-color: #eaeaea;
  background-image: -webkit-linear-gradient(left, #eaeaea 0%, #ffffff 100%);
  background:       -ms-linear-gradient(left, #eaeaea 0%, #ffffff 100%); /* IE */
  background:       linear-gradient(left, #eaeaea 0%, #ffffff 100%);
}

.question .choice-selected {
  font-weight: bold;
}

.question .choice-correct, .question .choice-incorrect {
  background-color: #eaeaea;
  background-image: -webkit-linear-gradient(left, #eaeaea 0%, #ffffff 100%);
  background:       -ms-linear-gradient(left, #eaeaea 0%, #ffffff 100%);
  background:       linear-gradient(left, #eaeaea 0%, #ffffff 100%);
  border: 1px #ccc solid;
}

.question .choice-correct {
  color:#408d3a;
  font-weight: bold;
}

.question .choice-incorrect {
  background-color: transparent;
  color:#c72121;
}

.question .choice-disabled {
  background-color: transparent;
}

.question-feedback {
  background-color: #e7e7e7;
  border:1px #d7d0d0 solid;
  margin: 5px 0;
  padding: 7px;
}

.question-feedback-empty {
  display:none;
}

.fb-header {
  display:block;
  font-weight:bold;
}

.submit {
  background-color: #eaeaea;
  margin: 8px 0;
}

.submit:focus, .submit:hover { /* not disabled */
  background-color: #757575;
  color: #fff;
}

.submit.disabled {
  background-color: #eaeaea;
  color: #ccc;
}


.highcontrast .question .choice-focus {
  border: 1px dotted black;
}

